package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 
 * @TableName venue_information
 */
@TableName(value ="venue_information")
@Data
public class Information implements Serializable {
    /**
     * 场地编号
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 场地名称
     */
    private String venueName;

    /**
     * 场地类型
     */
    private String type;

    /**
     * 位置
     */
    private String location;

    /**
     * 场地图片
     */
    private String imgUrl;

    /**
     * 对应场地类型的编号
     */
    private Integer typeId;

    /**
     * base64
     */
    private String qrCode;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private Double price;
}