package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 热点时间表
 * @TableName venue_hot
 */
@TableName(value ="venue_hot")
@Data
public class VenueHot implements Serializable {
    /**
     * 热点事件编号，主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 事件名称
     */
    private String title;

    /**
     * 事件描述
     */
    private String description;

    /**
     * 关联照片
     */
    private String imgUrl;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime addTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}