package com.example.venue_reservation_service.dto;

import com.example.venue_reservation_service.vo.AdminTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

@Data
@Schema(description = "禁用时间设置对象")
public class AdminSlot {

    @Schema(description = "用户编号")
    Integer userId;

    @Schema(description = "场地编号")
    Integer venueId;

    @Schema(description = "禁用日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    LocalDate date;

    @Schema(description = "选择的时间段")
    List<AdminTime> times;
}
