package com.example.venue_reservation_service.filter;

import java.util.HashMap;
import java.util.Map;

public class TrieNode {
    // 存储子节点（字符 → 节点映射）
    private final Map<Character, TrieNode> children = new HashMap<>();
    // 标记是否为敏感词终点
    private boolean isEnd = false;

    // 添加子节点
    public void addChild(char c, TrieNode node) {
        children.put(c, node);
    }

    // 获取子节点
    public TrieNode getChild(char c) {
        return children.get(c);
    }

    // 是否为敏感词结尾
    public boolean isEnd() {
        return isEnd;
    }

    // 设置终点标记
    public void setEnd(boolean end) {
        isEnd = end;
    }
}
