package com.example.venue_reservation_service.vo;

import com.example.venue_reservation_service.domain.Payment;
import com.example.venue_reservation_service.domain.Reservation;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;


import java.sql.Time;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ReservationVO {

    // 预约编号
    Integer reservationId;

    // 场地编号
    Integer venueId;

    // 场地类型
    String type;

    // 场地名称
    String venueName;

    // 预约状态
    Integer status;

    // 时间段
    String timeStr;

    // 预约时间段
    String dateStr;

    // 场馆名称
    String vName;

    // 订单编号
    Integer payId;

    // 支付订单号（时间戳+订单编号）
    String payStr;

    // 支付金额
    Double price;

    // 支付时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LocalDateTime payDate;
}
